API Referenceapipatient-graphPOST /v1/patients/me/journal

POST /v1/patients/me/journal

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "entry_date": {
      "type": "string",
      "format": "date"
    },
    "mood": {
      "type": "integer",
      "minimum": 1,
      "maximum": 5
    },
    "energy": {
      "type": "integer",
      "minimum": 1,
      "maximum": 5
    },
    "notes": {
      "type": "string",
      "default": ""
    },
    "side_effects": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      },
      "default": []
    }
  },
  "required": [
    "mood",
    "energy"
  ]
}

Responses

200 Journal entry upserted

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "entry_date": {
      "type": "string",
      "format": "date"
    },
    "mood": {
      "type": "integer",
      "minimum": 1,
      "maximum": 5
    },
    "energy": {
      "type": "integer",
      "minimum": 1,
      "maximum": 5
    },
    "notes": {
      "type": "string"
    },
    "side_effects": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "entry_date",
    "mood",
    "energy",
    "notes",
    "side_effects",
    "created_at",
    "updated_at"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://patient-graph.platform.loop.health/v1/patients/me/journal \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'